import './array';
export interface IFunctionStackTraceInfo {
    methodName: string;
    file: string;
    line: number;
    column: number;
}
declare global {
    interface Function {
        setName(name: string): Function;
        wrap(instance: object, delegate: (args: unknown[], next: (args: unknown[]) => unknown) => unknown): void;
        empty<TReturn = void>(): () => TReturn;
        emptyAsync<TReturn = void>(): () => Promise<TReturn>;
        getStackTrace(): IFunctionStackTraceInfo[];
    }
}
